Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Class Schemas

    java.lang.Object
      org.apache.openjpa.jdbc.schema.Schemas

    public class Schemas

extends Object

Helper class to deal with schemas.

Author:
  Abe White

Field Summary
`static Column[]` | `EMPTY_COLUMNS`
`static ForeignKey[]` | `EMPTY_FOREIGN_KEYS`
`static Index[]` | `EMPTY_INDEXES`
`static Unique[]` | `EMPTY_UNIQUES`
`static Object[]` | `EMPTY_VALUES`

Constructor Summary
`Schemas()`

Method Summary
`static Class<?>` | `getJavaType(int type, int size, int decimals)` Return the java type for the given SQL type from `Types`.
`static String` | `getJDBCName(int type)` Return the SQL type name for the given `Types` constant.
`static int` | `getJDBCType(String name)` Return the `Types` constant for the given SQL type name.
`static String` | `getNewTableSchema(JDBCConfiguration conf)` Deprecated.
`static DBIdentifier` | `getNewTableSchemaIdentifier(JDBCConfiguration conf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_COLUMNS

    public static final Column[] EMPTY_COLUMNS

### EMPTY_FOREIGN_KEYS

    public static final ForeignKey[] EMPTY_FOREIGN_KEYS

### EMPTY_INDEXES

    public static final Index[] EMPTY_INDEXES

### EMPTY_UNIQUES

    public static final Unique[] EMPTY_UNIQUES

### EMPTY_VALUES

    public static final Object[] EMPTY_VALUES

Constructor Detail

### Schemas

    public Schemas()

Method Detail

### getNewTableSchema

    public static String getNewTableSchema(JDBCConfiguration conf)

  Deprecated.

  Return the schema name that should be used for new tables, or null if none.

### getNewTableSchemaIdentifier

    public static DBIdentifier getNewTableSchemaIdentifier(JDBCConfiguration conf)

### getJDBCName

    public static String getJDBCName(int type)

  Return the SQL type name for the given `Types` constant.

### getJDBCType

    public static int getJDBCType(String name)

  Return the `Types` constant for the given SQL type name.

### getJavaType

    public static Class<?> getJavaType(int type,
                                       int size,
                                       int decimals)

  Return the java type for the given SQL type from `Types`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.